Subject: Re: Question about 'branch -d' safety

From: Clemens Buchacher <[email-masked]>
Date: Sun, 11 Jul 2010 08:55:05 +0200

On Sat, Jul 10, 2010 at 02:57:35PM -0700, Jakub Narebski wrote:
> 
> It's unfortunately not so easy.  The problem you have to solve is D/F
> conflict: if you have 'foo/bar' branch, you can't create 'foo' branch,
> but after deleting 'foo/bar' you want to be able to create 'foo'
> branch and reflog for 'foo' branch.

I'm going to read up on Jonathan's pointers. But I do not really
see the problem above. If the reflog already exists, the new branch
simpliy continues using it. So if the branch is re-created, it's as
if the branch had never been deleted.

Or possibly we add a special reflog entry which points the branch
to a zero sha to signify that the branch had been deleted.

Clemens